<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>King Richard III</title>
    <script>
        function fetch(url, onSuccess) {
            let http                = new XMLHttpRequest();
            http.onreadystatechange = () => {
                if (http.readyState == 4 && http.status == 200) {
                    onSuccess(http.responseText);
                } else {
                    console.info('state=', http.readyState);
                }
            };
            http.open('GET', url, true);
            http.send();
        }
        window.onload = function () {
            let url            = 'King-Richard-III-snippet.txt';
            let textPane       = document.getElementById('text');
            let loadButton     = document.getElementById('load');
            loadButton.onclick = function (e) {
                fetch(url, txt => textPane.innerHTML = txt);
            }
        };
    </script>
</head>
<body>
    <h1>King Richard III (asynch)</h1>
    <button type="button" id="load">Load Snippet</button>
    <pre id="text">...nothing here...</pre>
</body>
</html>

